Bug 1468282 - Unable to login with AD user using with sddm
Unable to login with AD user using with sddm
Status: NEW
Product: Fedora
Classification: Fedora
Component: sddm (Show other bugs)
28
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Eischmann
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 10:54 EDT by Andreas Schneider
Modified: 2018-04-30 17:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Schneider 2017-07-06 10:54:25 EDT
Description of problem:
I've configured winbind for authentication using Active Directory. I've executed the following authconfig command:

authconfig --enablewinbind --enablewinbindauth --enablewinbindkrb5 --enablemkhomedir --updateall

I can successfully log in on the commandline:

su - EARTH+administrator
Password: 
EARTH+administrator@samba-cli01:~>

It also works using SSH.

However I'm NOT able to login using sddm:

Jul  6 16:53:11 samba-cli01 sddm-helper: pam_unix(sddm:auth): check pass; user unknown
Jul  6 16:53:11 samba-cli01 sddm-helper: pam_unix(sddm:auth): authentication failure; logname= uid=0 euid=0 tty= ruser= rhost=
Jul  6 16:53:11 samba-cli01 sddm-helper: gkr-pam: error looking up user information
Jul  6 16:53:11 samba-cli01 sddm-helper: pam_kwallet5(sddm:auth): (null): pam_sm_authenticate
Jul  6 16:53:11 samba-cli01 sddm-helper: pam_kwallet5(sddm:auth): pam_kwallet5: Couldn't get user info (passwd) info
Jul  6 16:53:11 samba-cli01 sddm-helper: pam_kwallet(sddm:auth): (null): pam_sm_authenticate
Jul  6 16:53:11 samba-cli01 sddm-helper: pam_kwallet(sddm:auth): pam_kwallet: Couldn't get user info (passwd) info
Comment 1 Andreas Schneider 2017-07-06 10:56:53 EDT
'setenforce 0' allows me to log in.

SELinux issue?
Comment 2 Fedora End Of Life 2017-11-16 14:20:56 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2018-02-20 10:23:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Note You need to log in before you can comment on or make changes to this bug.